# -*- coding: utf-8 -*-
# Copyright 2016 Pedro M. Baeza <pedro.baeza@tecnativa.com>
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from openerp import models, fields


class SaleOrderLine(models.Model):
    _inherit = 'sale.order.line'

    # This field is for avoiding conflicts with sale_stock module, that
    # adds product_tmpl_id, and its possible modifications. This field name
    # for sure won't conflict
    product_tmpl_id_sale_order_variant_mgmt = fields.Many2one(
        comodel_name="product.template", related="product_id.product_tmpl_id",
        readonly=True)
    product_attribute_value_ids = fields.Many2many(
        comodel_name='product.attribute.value',
        related="product_id.attribute_value_ids",
        readonly=True)
